---
title: Enable User API Access
url: https://docs.vultr.com/platform/other/users/manage-users/api-access/enable-user-api-access
description: A guide explaining how to grant API access permissions to sub-users in your Vultr account
publish_date: 2025-04-22T17:15:35.273376Z
last_updated: 2025-09-12T21:47:47.084175Z
---

# How to Enable Vultr API Access for Users

Application Programming Interface (API) access allows users to access the Vultr account programmatically. The Vultr API works with various clients, such as the Linux cURL command, Vultr CLI, and modern programming language libraries.

Follow this guide to enable API access for users using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Account** and select **Users** under **OTHER**.
    
    1. Select the user from the list and click the **Edit User** icon.

    1. Click **Enable API** under **User API Key**.

=== "Vultr API"

    1. Send a `GET` request to the [**Get Users** endpoint](https://www.vultr.com/api/#tag/users/operation/list-users) and note the target user ID.

        ```console
        $ curl "https://api.vultr.com/v2/users" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update User** endpoint](https://www.vultr.com/api/#tag/users/operation/update-user) and specify the user ID to enable API access for the target user.

        ```console
        $ curl "https://api.vultr.com/v2/users/{user-id}" \
            -X PATCH \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "api_enabled" : true     
            }'
        ```

        Visit the [**Update User** endpoint](https://www.vultr.com/api/#tag/users/operation/update-user) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all users and note the target user ID.

        ```console
        $ vultr-cli users list
        ```

    1. Enable API access for the target user by specifying the user ID.

        ```console
        $ vultr-cli users update <user-id> \
        --api-enabled="true"
        ```
    
        Run `vultr-cli users update --help` to view additional available options.
